summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-31 12:55:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-31 12:55:54 +0000
commit1eaec8708ee7b9fcdb44c1e7cc8beea0cd0f953a (patch)
tree6e6c062e2a943a66f7003fbe02b44319257e270d
parent1d97e4ca8da481cc993af05020ee794d21eb0cbf (diff)
downloadaports-1eaec8708ee7b9fcdb44c1e7cc8beea0cd0f953a.tar.bz2
aports-1eaec8708ee7b9fcdb44c1e7cc8beea0cd0f953a.tar.xz
main/linux-vserver: upgrade to 2.6.32.14-vs2.3.0.36.29.4
set KBUILD_VERSION too while here
-rw-r--r--main/linux-vserver/APKBUILD9
1 files changed, 6 insertions, 3 deletions
diff --git a/main/linux-vserver/APKBUILD b/main/linux-vserver/APKBUILD
index 57f7ec06..794893bf 100644
--- a/main/linux-vserver/APKBUILD
+++ b/main/linux-vserver/APKBUILD
@@ -2,7 +2,7 @@
_flavor=vserver
pkgname=linux-${_flavor}
-pkgver=2.6.32.13
+pkgver=2.6.32.14
_kernver=2.6.32
pkgrel=0
@@ -15,7 +15,7 @@ _config=${config:-kernelconfig.${CARCH:-x86}}
install=
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
- http://vserver.13thfloor.at/Experimental/patch-2.6.32.13-vs2.3.0.36.29.4.diff
+ http://vserver.13thfloor.at/Experimental/patch-2.6.32.14-vs2.3.0.36.29.4.diff
kernelconfig.x86
"
subpackages="$pkgname-dev"
@@ -50,7 +50,10 @@ menuconfig() {
build() {
cd "$srcdir"/build
- make CC="${CC:-gcc}" || return 1
+ make CC="${CC:-gcc}" \
+ KBUILD_BUILD_VERSION="$((pkgrel + 1 ))-Alpine" \
+ || return 1
+
}
package() {